Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.corbaloc
Class CorbalocServiceHelper

    java.lang.Object
      |
      +--org.openorb.corbaloc.CorbalocServiceHelper

public class CorbalocServiceHelper
extends java.lang.Object

Helper class for : CorbalocService

Author:
  OpenORB Compiler

Constructor Summary
`CorbalocServiceHelper()`

Method Summary
`static CorbalocService` | `extract(Any a)` Extract CorbalocService from an any
`static java.lang.String` | `id()` Return the CorbalocService IDL ID
`static void` | `insert(Any a, CorbalocService t)` Insert CorbalocService into an any
`static CorbalocService` | `narrow(Object obj)` Narrow CORBA::Object to CorbalocService
`static CorbalocService` | `read(InputStream istream)` Read CorbalocService from a marshalled stream
`static TypeCode` | `type()` Return the CorbalocService TypeCode
`static CorbalocService` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to CorbalocService
`static void` | `write(OutputStream ostream, CorbalocService value)` Write CorbalocService into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorbalocServiceHelper

    public CorbalocServiceHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CorbalocService t)

  Insert CorbalocService into an any
  Parameters:
    `a` - an any
    `t` - CorbalocService value

### extract

    public static CorbalocService extract(Any a)

  Extract CorbalocService from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CorbalocService value

### type

    public static TypeCode type()

  Return the CorbalocService TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CorbalocService IDL ID
  Returns:
    an ID

### read

    public static CorbalocService read(InputStream istream)

  Read CorbalocService from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CorbalocService value

### write

    public static void write(OutputStream ostream,
                             CorbalocService value)

  Write CorbalocService into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CorbalocService value

### narrow

    public static CorbalocService narrow(Object obj)

  Narrow CORBA::Object to CorbalocService
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CorbalocService Object

### unchecked_narrow

    public static CorbalocService unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to CorbalocService
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CorbalocService Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD